<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.offer.home.title">Offers</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-offer" [routerLink]="['/offer/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.offer.home.createLabel">
            Create a new Offer
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="offers?.length === 0">
        <span jhiTranslate="tfsBackendApp.offer.home.notFound">No offers found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="offers && offers.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.offer.name">Name</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.offer.price">Price</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.offer.url">Url</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.offer.detailOffer">Detail Offer</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let offer of offers ;trackBy: trackId">
                    <td><a [routerLink]="['/offer', offer.id, 'view']">{{ offer.id }}</a></td>
                    <td>{{ offer.name }}</td>
                    <td>{{ offer.price }}</td>
                    <td>{{ offer.url }}</td>
                    <td>
                        <span *ngFor="let detailOffer of offer.detailOffers; let last = last">
                            <a class="form-control-static" [routerLink]="['/detail-offer', detailOffer?.id, 'view']">{{ detailOffer.id }}</a>{{ last ? '' : ', ' }}
                        </span>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/offer', offer.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/offer', offer.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(offer)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
